VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
DropTargetAdapter Class Reference
Version 4.7

Drop target interface adapter. More...

Inheritance diagram for DropTargetAdapter:

## Public Member Functions
DragOperation | onDragEnter (DragEventData eventData) override
| a drag enters the drop target
DragOperation | onDragMove (DragEventData eventData) override
| a drag moves over the drop target
void | onDragLeave (DragEventData eventData) override
| a drag leaves the drop target
bool | onDrop (DragEventData eventData) override
| a drop happens on the drop target

## Detailed Description

Drop target interface adapter.

## Member Function Documentation

DragOperation onDragEnter | ( | DragEventData | data | ) |
| inline override virtual

a drag enters the drop target

Parameters

  data | drag event data

Returns
  drag operation

Implements IDropTarget.

void onDragLeave | ( | DragEventData | data | ) |
| inline override virtual

a drag leaves the drop target

Parameters

  data | drag event data

Implements IDropTarget.

DragOperation onDragMove | ( | DragEventData | data | ) |
| inline override virtual

a drag moves over the drop target

Parameters

  data | drag event data

Returns
  drag operation

Implements IDropTarget.

bool onDrop | ( | DragEventData | data | ) |
| inline override virtual

a drop happens on the drop target

Parameters

  data | drag event data

Implements IDropTarget.

The documentation for this class was generated from the following file:

- dragging.h